Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476340 - RHN Satellite Configuration - Bootstrap throws ISE on RHEL4
Summary: RHN Satellite Configuration - Bootstrap throws ISE on RHEL4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.3
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-13 09:31 UTC by Jan Pazdziora
Modified: 2008-12-16 11:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-16 11:17:25 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2008-12-13 09:31:19 UTC
Description of problem:

RHN Satellite Configuration - Bootstrap throws ISE on RHEL4

Version-Release number of selected component (if applicable):

Satellite 5.3.0 QA drop built from Spacewalk 0.3.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install Satellite on RHEL 4
2. 'Satellite Tools' => 'Satellite Configuration' => 'Bootstrap Script'
3. Press 'Update' button.
  
Actual results:
ISE with java.lang.ClassNotFoundException: org.apache.commons.io.output.DeferredFileOutputStream

Expected results:
bootstrap.sh, client-config-overrides.txt, client_config_update.pyc, and client_config_update.pyo generated in:
https://<FQDN>/pub/bootstrap/

Additional info:
This works fine on RHEL 5.

This is an upstream bugzilla for bug 476335.

Comment 1 Jan Pazdziora 2008-12-13 09:51:10 UTC
While we currently do not build Spacewalk for RHEL 4, I feel it is reasonable to do the change in Spacewalk.

Comment 2 Jan Pazdziora 2008-12-13 09:53:27 UTC
Change to .spec committed to git repo, 2a7387eb5f26ec43cc3fc01b48fbc050b4e941cc.

Comment 3 Jan Pazdziora 2008-12-16 11:17:25 UTC
After discussion on spacewalk-devel list, the problem is seen in jakarta-commons-fileupload 1.1.1 which should have the Requires instead. Reverted the above change with commit 
2aba89ff8889eb3969a1a4434d34a1048cc3efef.


Note You need to log in before you can comment on or make changes to this bug.